# Record Class ARI1ParameterDescriptionInteger

java.lang.Object
java.lang.Record
com.io7m.aradine.instrument.spi1.ARI1ParameterDescriptionInteger

Record Components:
  `id` - The parameter ID
  `label` - The parameter label
  `documentation` - The parameter documentation
  `unitOfMeasurement` - The unit of measurement for the parameter
  `valueMinimum` - The minimum value (inclusive)
  `valueMaximum` - The maximum value (inclusive)
  `valueDefault` - The default value

All Implemented Interfaces:
  `ARI1DocumentedType, ARI1ParameterDescriptionType`

public record ARI1ParameterDescriptionInteger(ARI1ParameterNumber id, String label, Optional<ARI1Documentation> documentation, ARI1DottedName unitOfMeasurement, long valueMinimum, long valueMaximum, long valueDefault) extends Record implements ARI1ParameterDescriptionType

An integer-typed parameter description.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARI1ParameterDescriptionInteger(ARI1ParameterNumber id, String label, Optional<ARI1Documentation> documentation, ARI1DottedName unitOfMeasurement, long valueMinimum, long valueMaximum, long valueDefault)`
  An integer-typed parameter description.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<ARI1Documentation>`
  `documentation()`
  Returns the value of the `documentation` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `ARI1ParameterNumber`
  `id()`
  Returns the value of the `id` record component.
  `String`
  `label()`
  Returns the value of the `label` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `ARI1DottedName`
  `unitOfMeasurement()`
  Returns the value of the `unitOfMeasurement` record component.
  `long`
  `valueDefault()`
  Returns the value of the `valueDefault` record component.
  `long`
  `valueMaximum()`
  Returns the value of the `valueMaximum` record component.
  `long`
  `valueMinimum()`
  Returns the value of the `valueMinimum` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ARI1ParameterDescriptionInteger

    public ARI1ParameterDescriptionInteger(ARI1ParameterNumber id, String label, Optional<ARI1Documentation> documentation, ARI1DottedName unitOfMeasurement, long valueMinimum, long valueMaximum, long valueDefault)

    An integer-typed parameter description.

    Parameters:
      `id` - The parameter ID
      `label` - The parameter label
      `documentation` - The parameter documentation
      `unitOfMeasurement` - The unit of measurement for the parameter
      `valueMinimum` - The minimum value (inclusive)
      `valueMaximum` - The maximum value (inclusive)
      `valueDefault` - The default value

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public ARI1ParameterNumber id()
    Returns the value of the `id` record component.
    Specified by:
      `id` in interface `ARI1ParameterDescriptionType`
    Returns:
      the value of the `id` record component

  - ### label

    public String label()
    Returns the value of the `label` record component.
    Specified by:
      `label` in interface `ARI1ParameterDescriptionType`
    Returns:
      the value of the `label` record component

  - ### documentation

    public Optional<ARI1Documentation> documentation()
    Returns the value of the `documentation` record component.
    Specified by:
      `documentation` in interface `ARI1DocumentedType`
    Returns:
      the value of the `documentation` record component

  - ### unitOfMeasurement

    public ARI1DottedName unitOfMeasurement()
    Returns the value of the `unitOfMeasurement` record component.
    Returns:
      the value of the `unitOfMeasurement` record component

  - ### valueMinimum

    public long valueMinimum()
    Returns the value of the `valueMinimum` record component.
    Returns:
      the value of the `valueMinimum` record component

  - ### valueMaximum

    public long valueMaximum()
    Returns the value of the `valueMaximum` record component.
    Returns:
      the value of the `valueMaximum` record component

  - ### valueDefault

    public long valueDefault()
    Returns the value of the `valueDefault` record component.
    Returns:
      the value of the `valueDefault` record component